package com.alterdekim.game.component.game.inventory;

import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;

public interface InventoryItem {

    @JacksonXmlProperty(isAttribute = true, localName = "ID")
    Long getId();

    @JacksonXmlProperty(isAttribute = true, localName = "TextResourceID")
    Long getTextResourceId();

    @JacksonXmlProperty(isAttribute = true, localName = "BodyPartId")
    Long getBodyPartId();

    @JacksonXmlProperty(isAttribute = true, localName = "MediaResourceID")
    Integer getMediaResourceId();

    @JacksonXmlProperty(isAttribute = true, localName = "IsUsed")
    Integer getIsUsed();

    @JacksonXmlProperty(isAttribute = true, localName = "IsColorable")
    Integer getIsColorable();

    @JacksonXmlProperty(isAttribute = true, localName = "Color")
    Integer getColor();

    @JacksonXmlProperty(isAttribute = true, localName = "IsLimited")
    Integer getIsLimited();

    @JacksonXmlProperty(isAttribute = true, localName = "Date")
    String getDate();

    @JacksonXmlProperty(isAttribute = true, localName = "Pollution")
    Integer getPollution();

    @JacksonXmlProperty(isAttribute = true, localName = "IsBodyPart")
    Integer getIsBodyPart();

    @JacksonXmlProperty(isAttribute = true, localName = "PhoneId")
    Long getPhoneId();
}
